html, body {
	padding: 0;
	margin: 0;
	font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
	background-color: #CCC;
}

:root {
	--main-led-height: 25px;
}

#btn-close {
	position: fixed;
	top: 10px;
	right: 10px;
	border-radius: 50%;
	width: 40px;
	height: 40px;
	line-height: 40px;
	text-align: center;
	vertical-align: center;
	background-color: #AAA;
	cursor: pointer;
	text-decoration: none;
	font-size: 15px;
	color: #444;
	font-weight: bold;
}
#btn-close:active,
#btn-close:visited,
#btn-close:hover {
	outline: none;
	text-decoration: none;
	background-color: #888;
}
#btn-close:hover:after {
	font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
	content: "close";
	display: block;
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	height: 20px;
	line-height: 20px;
	text-align: center;
	font-weight: normal;
	font-size: 12px;
}

h1 {
	margin-top: 0;
}

article {
	padding: 20px;
}

.leds {
	font-size: 0;
	box-shadow: 0 -10px 20px rgba(0, 0, 0, 0.5);
	position: relative;

	display: flex;
	flex-direction: row;
	justify-content: flex-start;
}
.leds .led {
	width: 100%;
	height: var(--main-led-height);
	box-shadow: inset 4px 8px 12px -8px rgba(255, 255, 255, 0.5),
		inset -4px -8px 12px -8px rgba(0, 0, 0, 0.5);
}
.leds .led-text {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: var(--main-led-height);
	line-height: var(--main-led-height);
	text-align: center;
	text-shadow: 0 0 4px white;
	color: black;
	font-size: 12px;
}

.tooltip {
	position: relative;
	display: inline-block;
	font-size: 0;
}
.tooltip--text {
	font-size: 12px;
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	background-color: black;
	color: white;
	padding: 6px;
	border-radius: 3px;
}
.tooltip--text.tooltip--direction-down {
	top: calc(100% + 10px);
	left: calc(50%);
	transform: translate(-50%,0);
}
.tooltip--text.tooltip--direction-up {
	top: -10px;
	left: calc(50%);
	transform: translate(-50%,-100%);
}
.tooltip--text.tooltip--direction-left {
	top: calc(50%);
	left: -10px;
	transform: translate(-100%,-50%);
}
.tooltip--text.tooltip--direction-right {
	top: calc(50%);
	left: calc(100% + 10px);
	transform: translate(0,-50%);
}
.tooltip:hover > .tooltip--text {
	display: block;
}

.status-icons {
	font-size: 0;
	position: fixed;
	bottom: 10px;
	right: 10px;
}
.status-icons > * {
	display: block;
}
.status-icons > * + * {
	margin-top: 4px;
}

.status {
	width: 10px;
	height: 10px;
	border-radius: 20px;
	background-color: #F00;
	box-shadow: inset 2px 2px 12px rgba(255, 255, 255, 0.5),
		inset -2px -2px 12px rgba(0, 0, 0, 0.5),
		0 0 4px rgba(0, 0, 0, 0.5);
}
